invoiceForecasts

The invoiceForecasts query in Bunny's GraphQL API, with its arguments, return type and an example request.

Scope required:

For a complete list of possible response fields see the InvoiceForecastConnection type.

query invoiceForecasts ($filter: String, $sort: String, $after: String, $before: String, $first: Int, $last: Int) {
  invoiceForecasts (filter: $filter, sort: $sort, after: $after, before: $before, first: $first, last: $last) {
    edges {
      cursor
      node {
        accountId
        amount
        currencyId
        entityId
        id
        month
        recurringAmount
        usageAmount
      }
    }
    totalCount
    pageInfo {
      startCursor
      endCursor
      hasNextPage
      hasPreviousPage
    }
  }
}

ArgumentsLink to Arguments section

Name Type Description
filter String  
sort String  
after String Returns the elements in the list that come after the specified cursor.
before String Returns the elements in the list that come before the specified cursor.
first Int Returns the first n elements from the list.
last Int Returns the last n elements from the list.

ResponseLink to Response section